 /**********************************************
 *
 *  DESCRIPTION: Simulator::registerNewAtomics()
 *
 *  AUTHOR: 
 *
 *  DATE: 10/12/2012
 *
 **********************************************/

#include "modeladm.h" 
#include "mainsimu.h"

 #include "MeNB.h"
 #include "UE.h"
 #include "globalQueue.h"

 void MainSimulator::registerNewAtomics()
 {
	SingleModelAdm::Instance().registerAtomic( NewAtomicFunction<MeNB>() , "MeNB" ) ;
	SingleModelAdm::Instance().registerAtomic( NewAtomicFunction<UE>() , "UE" ) ;
	SingleModelAdm::Instance().registerAtomic( NewAtomicFunction<globalQueue>() , "globalQueue" ) ;	
 }
